/*******************************************************************************
 *     ___                  _   ____  ____
 *    / _ \ _   _  ___  ___| |_|  _ \| __ )
 *   | | | | | | |/ _ \/ __| __| | | |  _ \
 *   | |_| | |_| |  __/\__ \ |_| |_| | |_) |
 *    \__\_\\__,_|\___||___/\__|____/|____/
 *
 *  Copyright (c) 2014-2019 Appsicle
 *  Copyright (c) 2019-2022 QuestDB
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 ******************************************************************************/

package io.questdb.metrics;

import io.questdb.std.str.CharSink;

class NullCounter implements Counter, CounterWithOneLabel, CounterWithTwoLabels {
    static final NullCounter INSTANCE = new NullCounter();

    private NullCounter() {
    }

    @Override
    public void inc() {
    }

    @Override
    public void add(long value) {
    }

    @Override
    public long get() {
        return 0;
    }

    @Override
    public void inc(short label0) {
    }

    @Override
    public void inc(short label0, short label1) {
    }

    @Override
    public void scrapeIntoPrometheus(CharSink sink) {
    }
}
